classification
Title: Raise ImportWarning when calling find_loader()
Type: Stage: resolved
Components: Interpreter Core Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon
Priority: normal Keywords: patch

Created on 2021-03-30 15:44 by brett.cannon, last changed 2021-04-02 19:36 by brett.cannon. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 25119 merged brett.cannon, 2021-03-31 16:19
Messages (2)
msg389834 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2021-03-30 15:44
Using find_loader() in the import system should raise ImportWarning to start transitioning people over to find_spec() who haven't migrated since Python 3.4.
msg390094 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2021-04-02 19:35
New changeset f97dc800689ba98783dac8dc51f87f7c6f413ac6 by Brett Cannon in branch 'master':
bpo-43672: raise ImportWarning when calling find_loader() (GH-25119)
https://github.com/python/cpython/commit/f97dc800689ba98783dac8dc51f87f7c6f413ac6
History
Date User Action Args
2021-04-02 19:36:01brett.cannonsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-04-02 19:35:42brett.cannonsetmessages: + msg390094
2021-03-31 16:19:22brett.cannonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request23863
2021-03-30 15:44:53brett.cannoncreate